error no images or buttons

Discussion in 'Installation/Configuration' started by sruedat, Jan 8, 2010.

  1. sruedat

    sruedat New Member

    Hello I installed the ISP3 following the instructions:

    (Opensuse 11.1 -x86_64)

    And I had the next result: PREMATURE END OF SCRIPT HEADERS

    In the log file this is the result:

    Fri Jan 08 13:33:39 2010] [notice] mod_fcgid: call /srv/www/ispconfig/login/index.php with wrapper /srv/www/php-fcgi-scripts/ispconfig/.php-fcgi-starter
    .php-fcgi-starter: line 6: /usr/lib/cgi-bin/php: No such file or directory
    .php-fcgi-starter: line 6: exec: /usr/lib/cgi-bin/php: cannot execute: No such file or directory
    [Fri Jan 08 13:33:39 2010] [warn] (104)Connection reset by peer: mod_fcgid: read data from fastcgi server error.
    [Fri Jan 08 13:33:39 2010] [error] [client] Premature end of script headers: index.php
    [Fri Jan 08 13:33:42 2010] [notice] mod_fcgid: process /srv/www/ispconfig/index.php(15552) exit(communication error), terminated by calling exit(), return code: 126

    SO I have changed the file .php-fcgi-starter to:
    export PHPRC
    export PHP_FCGI_MAX_REQUESTS=5000
    export PHP_FCGI_CHILDREN=8
    #exec /usr/lib/cgi-bin/php -d magic_quotes_gpc=off
    #exec /srv/www/cgi-bin/php5 -d magic_quotes_gpc=on
    exec /usr/bin/php-cgi -d magic_quotes_gpc=off

    So the ERROR DISAPEARS but when I try to log in the ispconfig main page dont appears buttons or letters...
    Last edited: Jan 8, 2010
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    There is no need to modify any ISPConfig file to get it to work on OpenSuSE. So please undo your changes and then go trogh the complete perfect setup tutorial again and make sure that you installed all software as described there.
  3. sruedat

    sruedat New Member

    dont work

    thanks but I have tried install ispconfig in three ocasions and allways have the same problem.(on this machine in others PCs the system works fine!!).. I think there is a problem with php configuration or apache2 configuration...

    In fact when I make the step 17 in the perfect setup tutorial:
    php -q install.php
    I get an error, and i must write:
    php5 -q install.php

    When I write in the Terminal:

    php -v :
    PHP 4.4.9 (cgi) (built: Aug 11 2009 15:03:04)
    Copyright (c) 1997-2008 The PHP Group
    Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies

    But if I write:

    php5 -v:
    PHP 5.2.11 with Suhosin-Patch 0.9.7 (cli) (built: Sep 24 2009 12:40:58)
    Copyright (c) 1997-2009 The PHP Group
    Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies

    In other pcs if I put php -v return the php5 versiĆ³n directly...

    I dont know is a strange problem for me... the problem maybe the suphp mod?... i'm confused
    Sorry for my english.
    Last edited: Jan 9, 2010
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    php4 is not supported and it is not installed in the installation instructions, you must have installed it manually before. As far as I know, there are not even php4 poackages available in the opensuse version you use, so it might have been even compiled manually. Make sure that you uninstall php4 and install php5. the php interpreter must be named php.
  5. sruedat

    sruedat New Member


    ok thanks...
    The next Monday at work, I'll try to unistall php4... I remember that I have tried to do this several times but I couldn't because I don't know which commands I must use to unistall php4...anyway I'll try again.

    Last edited: Jan 10, 2010

Share This Page